import request from '@/plugin/axios'
// 查询卡功能列表
export function getFuncList (data) {
  return request({
    url: '/card/getCardPurByPage',
    method: 'post',
    data
  })
}
// 新增修改功能
export function saveOrUpdateFunc (data) {
  return request({
    url: '/card/saveOrUpdataCardPur',
    method: 'post',
    data
  })
}
export function treeNode (data) {
  return request({
    url: '/tree/getOriginTrees',
    method: 'post',
    data
  })
}
// 查询所有卡功能
export function getAllFunc (data) {
  return request({
    url: '/card/getCardPur',
    method: 'post',
    data
  })
}
// 根据id返回数据
export function getFuncById (data) {
  return request({
    url: '/card/getCardPurById',
    method: 'post',
    data
  })
}

// 删除
export function onDeleteClick (data) {
  return request({
    url: '/card/delCardPurById',
    method: 'post',
    data
  })
}